extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "tgheroes:robin/dick_layer1",
    "layer2": "tgheroes:robin/dick_layer2",
    "cape": "tgheroes:robin/dick_cape"
});

var capes = implement("fiskheroes:external/capes");
var cape;

function initEffects(renderer) {
    var physics = renderer.createResource("CAPE_PHYSICS", null);
    physics.maxFlare = 0.4;
    physics.flareDegree = 1.5;
    physics.flareFactor = 1.2;
    physics.flareElasticity = 5;

    cape = capes.createGlider(renderer, 24, "fiskheroes:cape_batman.mesh.json", physics);
    cape.effect.texture.set("cape");
}

function render(entity, renderLayer, isFirstPersonArm) {
    if (!isFirstPersonArm && renderLayer == "CHESTPLATE") {
        cape.render(entity, entity.getInterpolatedData("fiskheroes:wing_animation_timer"));
    }
}
